<?php

namespace Hura8\Interfaces;

interface iEntityModel
{
    public function getEntityType() : string ;
    public function getListByIds(array $list_id, array $condition = array()) : array;
    public function getList(array $condition) : array;
    public function getTotal(array $condition) : int;
    public function getQueryCondition(array $condition) : array;
    public function getInfo($id): ?array;
    public function getEmptyInfo(array $additional_fields = []): array;
}
